/*
 * Copyright 2016 Avencall
 * SPDX-License-Identifier: GPL-3.0+
 */

#ifndef _ASTERISK_NOVA_H_
#define _ASTERISK_NOVA_H_

struct ast_channel_snapshot;
struct ast_multi_channel_blob;

void ast_nova_compatibility_cleanup(void);

void ast_nova_compatibility_set_enabled(int enabled);

void ast_nova_compatibility_add_channel(struct ast_channel_snapshot *snapshot);

void ast_nova_compatibility_remove_channel(struct ast_channel_snapshot *snapshot);

void ast_nova_compatibility_on_channel_answer(struct ast_channel_snapshot *snapshot);

void ast_nova_compatibility_on_channel_xivo_outcall(struct ast_channel_snapshot *snapshot);

void ast_nova_compatibility_on_channel_xivo_incall(struct ast_channel_snapshot *snapshot);

void ast_nova_compatibility_on_dial(struct ast_multi_channel_blob *blob);

void ast_nova_compatibility_on_local_bridge(struct ast_multi_channel_blob *blob);

void ast_nova_compatibility_augment_bridge_enter_event(struct ast_json *extra, struct ast_bridge_snapshot *snapshot);

void ast_nova_compatibility_augment_attended_transfer_event(struct ast_json *extra,
	struct ast_channel_snapshot *channel2, struct ast_channel_snapshot *transferee, struct ast_channel_snapshot *transfer_target);

#endif /* _ASTERISK_NOVA_H_ */
